// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：用户档案修改-用户名
//author：feizhao
//date：2017-10-31
//discription：用于测试登陆后，对查询到的用户进行档案修改操作
//step：1.登录主页面  2.定位输入框查找用户 3.对用户进行档案修改操作



const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
    .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     browser.setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
     .click('#vc-tree-name-档案管理')
     .pause(1000)
     .click('#vc-tree-name-用户档案')
     //通过用户名查询用户
          .pause(1000)
          .setValue('input[placeholder=用户姓名]','杨森')
          .pause(1000)
          .click('.form-inline.auto :nth-child(12)')
          .pause(1000)
          //修改档案
          .click('.table.table-bordered tbody tr td:nth-child(6)')
         //  .pause(1000)
         //  .setValue('.col-sm-3.form-group.form-input-group.has-error input[placeholder=用户姓名]','王五')
         //  .pause(1000)
         //  .setValue('input[placeholder=用户电话]','18502012345')
          .pause(3000)
          .clearValue('input[placeholder=区]')
          .pause(300)
          .setValue('input[placeholder=区]','高新区')
          .pause(1000)
          .clearValue('input[placeholder=街道名称]')
          .pause(300)
          .setValue('input[placeholder=街道名称]','科技二路')
          .pause(1000)
          .clearValue('input[placeholder=小区名称]')
          .pause(300)
          .setValue('input[placeholder=小区名称]','科技小区')
         //  .pause(1000)
         //  .setValue('input[placeholder=楼号]','1')
         //  .pause(1000)
         //  .setValue('input[placeholder=单元号]','1')
         //  .pause(1000)
         //  .setValue('input[placeholder=楼层]','1')
         //  .pause(1000)
         //  .setValue('input[placeholder=门牌号]','101')
          .pause(1000)
          .setValue('input[placeholder=合同编号]','123456789')
         //  .setValue('input[placeholder=详细地址]','西安市高新区科技小区')
          .pause(1000)
          .click('.form-horizontal :nth-child(4) :nth-child(2) div button')
          .pause(300)
          .click('#身份证')
          .pause(300)
          .clearValue('input[placeholder=证件号码]')
          .pause(300)
          .setValue('input[placeholder=证件号码]','610110199910101111')
          .pause(1000)
          .click('.form-horizontal :nth-child(5) :nth-child(1) div button')
          .pause(300)
          .click('#银行代扣')
          .pause(1000)
          .click('#userfiles-useEssInf-用户类型')
          .pause(300)
          .click('#民用')
          .pause(1000)
          .click('#userfiles-useEssInf-用气性质')
          .pause(300)
          .click('#居民采暖用气')
          .pause(1000)
          .click('.form-horizontal :nth-child(5) :nth-child(4) div button')
          .pause(300)
          .click('.form-horizontal :nth-child(5) :nth-child(4) div ul li[id=正常]')
          .pause(500)
          .setValue('.form-horizontal :nth-child(7) :nth-child(1) :nth-child(1) input[placeholder=用户姓名]','王五')
          .pause(1000)
          .click('#userfiles-useEssInf-银行名称')
          .pause(300)
          .click('#中国邮政储蓄银行')
          .pause(500)
          .setValue('input[placeholder=银行账号]','110111123456789')
          .pause(1000)
          .setValue('input[placeholder=身份证号]','610110199910101111')
          .pause(1000)
          .setValue('textarea[placeholder=请填写原因]','这是一个测试程序')
          //表具信息
          .pause(1000)
          .click('#user-files :nth-child(2) div :nth-child(1) ul li:nth-child(2) a')
          // .pause(1000)
          // .click('.panel.panel-default.auto.text-center')
          .pause(1000)
          .clearValue('input[placeholder=表号]')
          .pause(300)
          .setValue('input[placeholder=表号]','010123')
          .pause(1000)
          .clearValue('input[placeholder=表封号]')
          .pause(300)
          .setValue('input[placeholder=表封号]','01010001')
          .pause(1000)
          .clearValue('input[placeholder=条码号]')
          .pause(300)
          .setValue('input[placeholder=条码号]','0101200123')
          .pause(1000)
          .clearValue('input[placeholder=表底数]')
          .pause(300)
          .setValue('input[placeholder=表底数]','1230')
          .pause(1000)
          .click('.form-horizontal.user-meter-padding :nth-child(2) :nth-child(2) div div button')
          .pause(500)
          .click('.form-horizontal.user-meter-padding :nth-child(2) :nth-child(2) div div ul li:nth-child(1)')
          .pause(1000)
          .click('#userfiles-useMetInf-气表型号')
          .pause(1000)
          .click('#userfiles-useMetInf-气表型号 div ul li')
          .pause(300)
          .click('#userfiles-useMetInf-左右表')
          .pause(1000)
          .click('#右表')
          .pause(300)
          .click('#userfiles-useMetInf-气价类型')
          .pause(1000)
          .click('#固定气价')
          .pause(300)
          .click('#userfiles-useMetInf-气价名称')
          .pause(1000)
          .click('#固定气价')
          .pause(300)
          .click('#userfiles-useMetInf-气价名称')
          .pause(300)
         .clearValue('input[placeholder=剩余气量]')
         .pause(300)
          .setValue('input[placeholder=剩余气量]','50')
          .pause(500)
          .setValue('input[placeholder=安装人]','张大千')
          .pause(500)
          .click('#userfiles-useMetInf-安装位置')
          .pause(1000)
          .click('#厨房')
          .pause(500)
          .clearValue('input[placeholder=安装日期]')
          .pause(300)
          .setValue('input[placeholder=安装日期]','2017-10-01')
          .pause(500)
          .setValue('input[placeholder=通气人]','张大千')
          .pause(500)
          .clearValue('input[placeholder=通气日期]')
          .pause(300)
          .setValue('input[placeholder=通气日期]','2017-10-10')
          .pause(500)
          .click('input[type=checkbox]')
          .pause(500)
          .setValue('input[placeholder=改管人]','张夏')
          .pause(500)
          .clearValue('input[placeholder=改管日期]')
          .pause(300)
          .setValue('input[placeholder=改管日期]','2017-10-05')
          .pause(500)
          .setValue('input[placeholder=通气人2]','张千')
          .pause(500)
          .clearValue('input[placeholder=通气日期2]')
          .pause(300)
          .setValue('input[placeholder=通气日期2]','2017-10-15')
          .pause(500)
          .click('#userfiles-useMetInf-抄表员')
          .pause(500)
          .click('#江华')
     //设备信息
         .pause(1000)
         .click('#user-files :nth-child(2) div :nth-child(1) ul li:nth-child(3) a')
         .pause(1000)
         .click('.panel.panel-default.flex-two-info.text-center')
         .pause(500)
         .click('#userfiles-useDevInf-设备类型 div button')
         .pause(300)
         .click('#热水器')
         .pause(300)
         .setValue('input[placeholder=设备编号]','010123')
         .pause(300)
         .setValue('input[placeholder=设备品牌]','GE')
         .pause(300)
         .setValue('input[placeholder=设备型号]','G010123')
     //发票信息
         .pause(1000)
         .click('#user-files :nth-child(2) div :nth-child(1) ul li:nth-child(4) a')
          .pause(100)
          .clearValue('input[placeholder=纳税人识别号]')
          .pause(100)
          .setValue('input[placeholder=纳税人识别号]','61011012456')
          .pause(100)
          .clearValue('input[placeholder=地址-电话]')
          .pause(100)
          .setValue('input[placeholder=地址-电话]','陕西省西安市 18502954678')
          .pause(100)
          .clearValue('input[placeholder=名称]')
          .pause(100)
          .setValue('input[placeholder=名称]','奥枫软件有限公司')
          .pause(100)
          .click('#userFil-userPapInfo-票据类型')
          .pause(100)
          .click('#增值税发票')
          .pause(1000)
          .clearValue('input[placeholder=银行名称]')
          .pause(100)
          .setValue('input[placeholder=银行名称]','中国银行 123456789')
          .pause(100)
          .setValue('textarea[class=form-control]','这是一个测试程序正在运行')
// //通过用户名查询用户
//      .pause(1000)
//      .setValue('input[placeholder=用户姓名]','张三')
//      .pause(100)
//      .click('.form-inline.auto :nth-child(11)')
//      .pause(100)
//      //修改档案
//      .click('.table.table-bordered tbody tr td:nth-child(6)')
//      .pause(1000)
//      .clearValue('#f_user_name')
//      .pause(100)
//      .setValue('#f_user_name','王五')
//      .pause(100)
//      .clearValue('#f_userid')
//      .pause(100)
//      .setValue('#f_userid','12345678965')
//      .pause(100)
//      .clearValue('input[placeholder=合同编号]')
//      .pause(100)
//      .setValue('input[placeholder=合同编号]','123456789')
//      .pause(100)
//      .clearValue('input[placeholder=编号]')
//      .pause(100)
//      .setValue('input[placeholder=编号]','6')
//      .pause(100)
//      .clearValue('input[placeholder=单元号]')
//      .pause(100)
//      .setValue('input[placeholder=单元号]','#3')
//      .pause(100)
//      .clearValue('input[placeholder=楼层]')
//      .pause(100)
//      .setValue('input[placeholder=楼层]','13')
//      .pause(100)
//      .clearValue('input[placeholder=门牌号]')
//      .pause(100)
//      .setValue('input[placeholder=门牌号]','1303')
//      .pause(100)
//      .click('.form-horizontal :nth-child(5)')
//      .pause(100)
//      .click('#工业用水')
//      .pause(1000)
//      .click('.form-horizontal :nth-child(5)')
//      .click('#公福用水')
//      .pause(1000)
//      .click('.form-horizontal :nth-child(5)')
//      .click('#民用用水')
//      .pause(100)
//      .click('.form-horizontal :nth-child(6)')
//      .click('#银行代扣')
//      .pause(100)
//      .clearValue('input[placeholder=证件号码]')
//      .pause(100)
//      .setValue('input[placeholder=证件号码]','123456199910142589')
//      .pause(100)
//      .click('.form-horizontal :nth-of-type(7)')
//      .pause(100)
//      .clearValue('input[placeholder=开户姓名]')
//      .pause(100)
//      .setValue('input[placeholder=开户姓名]','李四')
//      .pause(100)
//      .clearValue('input[placeholder=银行名称]')
//      .pause(100)
//      .setValue('input[placeholder=银行名称]','中国银行')
//      .pause(100)
//      .clearValue('input[placeholder=银行账号]')
//      .pause(100)
//      .setValue('input[placeholder=银行账号]','123456789')
// //水表资料
//      .pause(100)
//      .click('div[id=filesUGI] li:nth-of-type(2)')
//      .pause(100)
//      .clearValue('input[placeholder=水表表号]')
//      .pause(100)
//      .setValue('input[placeholder=水表表号]','123456')
//      .pause(100)
//      .click('#userFil-userMetIfo-水表型号')
//      .pause(1000)
//      .click('#userFil-userMetIfo-水表型号 a[id=vc-select-a-vuestrap-0]')
//      .pause(100)
//      .clearValue('input[placeholder=当前读数]')
//      .pause(100)
//      .setValue('input[placeholder=当前读数]','123456')
//      .pause(100)
//      .clearValue('input[placeholder=表内人口]')
//      .pause(100)
//      .setValue('input[placeholder=表内人口]','6')
//      .pause(100)
//      .click('#userFil-userMetIfo-安装位置')
//      .pause(100)
//      .click('#室内')
//      .pause(100)
//      .click('#userFil-userMetIfo-安装人')
//      .pause(100)
//      .click('#咳咳')
//      .pause(100)
//      .clearValue('input[placeholder=安装日期]')
//      .pause(100)
//      .setValue('input[placeholder=安装日期]','2017-10-01')
//      .pause(100)
//      .click('#userFil-userMetIfo-抄表员')
//      .pause(100)
//      .click('#抄表系统')
//      .pause(100)
//      .clearValue('input[placeholder=抄表日]')
//      .pause(1000)
//      .setValue('input[placeholder=抄表日]','1')
//      .pause(100)
//      .click('#userFil-userMetIfo-抄表周期')
//      .pause(100)
//      .click('#每月一次')
//      .pause(100)
//      .click('#userFil-userMetIfo-催收员')
//      .pause(100)
//      .click('#催收员1')
//      .pause(100)
//      .clearValue('input[placeholder=水表系数]')
//      .pause(100)
//      .setValue('input[placeholder=水表系数]','2')
//      .pause(100)
//      .clearValue('input[placeholder=表位号]')
//      .pause(100)
//      .setValue('input[placeholder=表位号]','100')
//      .pause(100)
//      .clearValue('input[placeholder=协议水量]')
//      .pause(100)
//      .setValue('input[placeholder=协议水量]','10')
//     //  .pause(100)
//     //  .setValue('input[placeholder=备注]','这是一个测试程序正在运行')
// //水价信息录入
//       .pause(100)
//       .click('#userFile-basicWatPri-用水类别')
//       .pause(100)
//       .click('#userFile-basicWatPri-用水类别 div ul li:nth-child(2)')
//       .pause(100)
//       .click('#userFile-basicWatPri-用水方式')
//       .pause(100)
//       .click('#按比率')
//       .pause(300)
//       .setValue('input[placeholder=用水比例]','2')
// //免收信息
//       .pause(1000)
//       .click('.form-horizontal.user-meter-padding div[class=flex] ul li:nth-child(2)')
//       .pause(100)
//       .click('#userFil-freeWatPri-免收类型')
//       .pause(100)
//       .click('#userFil-freeWatPri-免收类型 div ul :nth-child(2)')
//       .pause(300)
//       .clearValue('input[placeholder=生效日期]')
//       .pause(100)
//       .setValue('input[placeholder=生效日期]','2017-01-01')
//       .pause(100)
//       .clearValue('input[placeholder=结束日期]')
//       .pause(100)
//       .setValue('input[placeholder=结束日期]','2017-10-31')
// //...................票据信息.....................
//      .click('div[id=filesUGI] li:nth-of-type(3)')
//      .pause(100)
//      .clearValue('input[placeholder=纳税人识别号]')
//      .pause(100)
//      .setValue('input[placeholder=纳税人识别号]','61011012456')
//      .pause(100)
//      .clearValue('input[placeholder=地址-电话]')
//      .pause(100)
//      .setValue('input[placeholder=地址-电话]','陕西省西安市 18502954678')
//      .pause(100)
//      .clearValue('input[placeholder=名称]')
//      .pause(100)
//      .setValue('input[placeholder=名称]','奥枫软件有限公司')
//      .pause(100)
//      .click('#userFil-userPapInfo-票据类型')
//      .pause(100)
//      .click('#增值税发票')
//      .pause(1000)
//      .clearValue('input[placeholder=银行名称及账号]')
//      .pause(100)
//      .setValue('input[placeholder=银行名称及账号]','中国银行 123456789')
//      .pause(100)
//      .setValue('textarea[class=form-control]','这是一个测试程序正在运行')
// //....................其他资料......................
//      .pause(100)
//      .click('div[id=filesUGI] li:nth-of-type(4)')
//      .pause(500)
//      .setValue('textarea[placeholder=其他资料]','这是一个测试程序正在运行')
//      .pause(100)
//      .click('.col-sm-offset-8.col-sm-3 button:nth-of-type(1)')
      .pause(10000)
     .end();
   }
 }
